Graphics3D 800, 600, 16, 2

Type car
	Field mesh, nr, npc, nextwaypoint, lastwaypoint
	Field speed#, maxspeed#, yspeed#
	Field turnfact#, lap
End Type

Type waypoint
	Field piv, nr
End Type

Global terrain, pivnr
Global mapname$, laps

light = CreateLight()
Global cam = CreateCamera()

;Skybox
sky = CreateSphere()
ScaleEntity sky, 5, 5, 5
PositionEntity sky, EntityX(cam), EntityY(cam), EntityZ(cam)
EntityParent sky, cam
EntityTexture sky, LoadTexture("wolken.jpg")
FlipMesh sky
EntityOrder sky, 1
;Ende der Skybox

wassertex = LoadTexture("wasser02.jpg")
ScaleTexture wassertex, 10, 10
Dim water(5)

For i = 1 To 5
	water(i) = CreatePlane()
	PositionEntity water(i), 0, -30*i, 0
	EntityAlpha water(i), .5+.1*i
	EntityTexture water(i), wassertex
Next


